﻿/* Generated with Author-it 5.0.12.670  8/27/2008 11:08:32 AM */
Page=new Array();Page[0]=new Array("ISBN: N/A ","Parallels ","660 SW 39th Street","Suite 205","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400 ","Fax: +1 (425) 282 6444 ","© Copyright 2008, ","Parallels, Inc. ","All rights reserved ","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.","Product and service names mentioned herein are the trademarks of their respective owners.","Legal and Copyright Notice","epl_copyright_notice.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("This document provides instructions for setting up a local FTP server to work with the installer for Parallels Pro Control Panel (formerly known as Ensim Pro) for Linux®. For simplicity, Parallels Pro Control Panel 10.3.2 for Linux s referred to as &quot;Parallels Pro Control Panel&quot; throughout this document.","By default, the installer downloads the requisite Red Hat Package Manager (RPMs) and files from Parallels Pro FTP server during the installation of the Parallels Pro Control Panel. Since remote installations consume a large amount of bandwidth resources and time, you can set up a local FTP server that mirrors Parallels Pro Control Panel FTP server for faster installations. This will enable the installer to download the required files from the local FTP server instead of Parallels Pro Control Panel FTP server.","About This Guide","6827.htm");
Page[4]=new Array("Before you start, verify that your local FTP server is running any of the following operating systems&#0151; FC 6 (Fedora&#8482; Core 6), FC 4, CentOS 4.4 (Community Enterprise Operating System 4.4), RHEL 5 (Red Hat® Enterprise Linux ES Release 5), and RHEL 4.","Note: FC 4 operating system is supported only with 32-bit architecture, and all other operating systems are supported with both 32-bit and 64-bit architecture.","You cannot use an FTP server running on the Microsoft Windows operating system because the file naming conventions in Linux and Windows systems differ. Many Parallels Pro Control Panel RPMs use the colon (:) character in their file names, which is invalid in a Windows environment.","Before You Start","6828.htm");
Page[5]=new Array("Setting up a local FTP server consists of the following steps:","Step 1. Creating a user account on the local FTP server","Step 2. Setting up a yum repository (optional)","Step 3. Downloading the Parallels Pro Control Panel installation files onto the local FTP server","Step 4. Enabling the installer to download files from the local FTP server","Note: You may want to install a FTP server software, (for example, wu-ftpd, ProFTPD, or any other FTP server software) on your server.","Setting Up a Local FTP Server","6829.htm");
Page[6]=new Array("You need to create a user account on your local FTP server. The user account must be set up using the account information in the following procedure:","To create a user account on the local FTP server:","Log in to the FTP server as the root user using Telnet or SSH.","Create a user account with the following account information:","User name: ensimwpl","Password:  ensim94089","You must use the specified account information otherwise the setup will fail.","The next step is to download and set up the yum repository containing the operating system RPMs and the required RPM updates as described in the following section. The operating systems supported are&#0151;FC 6 (Fedora&#8482; Core 6), FC 4, CentOS 4.4 (Community Enterprise Operating System 4.4), RHEL 5 (Red Hat® Enterprise Linux ES Release 5), and RHEL 4.","Note: FC 4 operating system is supported only with 32-bit architecture, and all other operating systems are supported with both 32-bit and 64-bit architecture.","Step 1. Creating a User Account on the Local FTP Server","6830.htm");
Page[7]=new Array("Note: This step is required only if you want the installer to use a local yum repository to obtain the operating system RPMs and updates. If you are using up2date, the installer can obtain the required operating system RPMs and updates directly from the Red Hat Network (RHN).","The following procedure describes the process for setting up a yum repository on the server and for downloading the required RPMs to the local FTP server.","To set up the yum repository and download the RPMs to your local FTP server:","Log in to your local FTP server with the account information provided by Parallels Pro Control Panel (ensimwpl/ensim94089). You are logged in to your Home directory.","Create the directories where you want to download the operating system RPMs (for example, /home/ensimwpl/os) and the RPM updates (for example, /home/ensimwpl/updates) using the following commands:","mkdir &lt; os_repository&gt;","mkdir &lt; updates_repository&gt;","Copy the operating system RPMs (from the vendor CD-ROMs) to the directory created in step 2 using the following command:","For RHEL servers:","cp /mnt/cdrom/RedHat/RPMS &lt;os_repository&gt;","For Fedora Core servers:","cp /mnt/cdrom/Fedora/RPMS &lt;os_repository&gt;","For CentOS servers:","cp /mnt/cdrom/CentOS/RPMS &lt;os_repository&gt;","Copy the RPM updates to the directory created in step 2 using the following command:","cp &lt;source_updates&gt; &lt;updates_repository&gt;","where &lt;source_updates&gt; is the Web address from where you obtain the operating system updates and &lt;updates_repository&gt; is the directory you created in step 2.","Log in as the root user and install the RPM createrepo-0.4.1-1 rpm.","You may obtain the RPM from the Web site http://dag.wieers.com/packages/createrepo/.","rpm -Uvh createrepo-0.4.1-1","Create the RPM header files for the operating system RPMs and the RPM updates using the following command:","createrepo &lt;os_repository&gt;","createrepo &lt;updates_repository&gt;","The yum repository is now set up.","After you set up the yum repository, proceed to download the Parallels Pro Control Panel installation files as described in the next step.","Step 2. Setting up a yum Repository (Optional)","6831.htm");
Page[8]=new Array("Create a local FTP mirror of the directory structure on Parallels Pro Control Panel FTP server by downloading the Parallels Pro Control Panel installation files from Parallels Pro Control Panel FTP server onto your local FTP server. Ensure that you have the &quot;NcFTP&quot; FTP client software installed on your Linux server. The following procedure requires the NcFTP client to start a recursive download of the required files from Parallels Pro FTP server to your local FTP server.","To download the installation files to the local FTP server:","Log in to your local FTP server with the account information provided by Parallels Pro Control Panel (ensimwpl/ensim94089). You are logged in to your Home directory.","Create the directory apt/ensim/EPL/&lt;epl_ver&gt; using the following command:","mkdir -p apt/ensim/EPL/&lt;epl_ver&gt;","where &lt;epl_ver&gt; is the version of Parallels Pro Control Panel you want to install","For example, if you want to install Parallels Pro Control Panel 10.3.1, create a directory using the following command:","mkdir -p apt/ensim/EPL/10.3.1","Change to the directory apt/ensim/EPL/&lt;epl_ver&gt;.","cd apt/ensim/EPL/&lt;epl_ver&gt;","Type the following command to copy the files to your local FTP server:","ncftpget -R -u ensimwpl -p ensim94089 ftp2.ensim.com ./ /apt/ensim/EPL/&lt;epl_ver&gt;/&lt;epl_rel&gt;.&lt;os_type&gt;.&lt;os_ver&gt;/","The command is case-sensitive.","The following table describes the various options used with the command.","Command option","Description","-R","Indicates recursive mode (recursively copies whole directory trees)","-u ensimwpl","The account user name","-p ensim94089","The account password","ftp2.ensim.com","The host name of Parallels Pro FTP server",".","Refers to the local directory on your local FTP server","epl_ver","Refers to the remote directory containing the latest version of the installer","epl_rel","Refers to the remote directory containing the latest release number of the installer","os_type","Refers to the type of operating system. If you are using the Fedora Core operating system, type fc; If you are using the RHEL/CentOS operating system, type rhel.","os_ver-R","Refers to the version of the specified operating system.","Fedora 4: Type 4","Fedora 6: Type 6","RHEL 4/CentOS 4.x: Type 4ES","RHEL 5: Type 5ES","Example 1","To copy the Fedora 4 repository on your local FTP server, type the following command:","ncftpget -u ensimwpl -p ensim94089 ftp2.ensim.com ./ /apt/ensim/EPL/10.3.1/11.fc.4/","Example 2","To copy the RHEL 4 repository on your local FTP server, type the following command:","ncftpget -R -u ensimwpl -p ensim94089 ftp2.ensim.com ./ /apt/ensim/EPL/10.3.1/11.rhel.4ES/","Step 3. Downloading the Parallels Pro Control Panel Installation Files onto the Local FTP Server","6832.htm");
Page[9]=new Array("After downloading the files to your local FTP server, you need to enable the installer to obtain the installation files from your local FTP server. To enable downloads from your local FTP server, you must run the ensim-installer.py script using the --ftp-server option with the script.","To enable downloads from your local FTP server:","Log in to the server on which you want to install Parallels Pro Control Panel.","Download the installer script from your local FTP server to the server on which you want to install Parallels Pro Control Panel. The installer script is located in the directory /home/ensimwpl/&lt;epl_rel&gt;.&lt;os_type&gt;.&lt;os_version&gt;/tools.","Run the script ensim-installer.py. Use the --help option with the script to learn more about the various command line options you can use with the script.","python ensim-installer.py -nadmin -ppasswd --ftp-server=&lt;local_ftp_server_url&gt; -u ftp://ensimwpl:ensim94089@&lt;updates_repository&gt; -o ftp://ensimwpl:ensim94089@&lt;os_repository&gt;","Where:","-n is the user name of your Server Administrator account","-p is the account password","--ftp-server is the host name of your local FTP server repository","-u is the complete path to the FTP server repository containing the operating system RPM updates","-o is the complete path to the FTP server repository containing the operating system RPMs","The installer is now configured to obtain the Parallels Pro Control Panel installation files from your local FTP server. For detailed instructions, refer to the document Parallels Pro Control Panel for Linux Installation Guide. You can find the document on the Web at the Parallels Pro for Linux  Documentation page (http://www.parallels.com/en/pro/docs).","Ensure that your local FTP server is periodically updated with the latest files from Parallels Pro Control Panel FTP server.","Step 4. Enabling the Installer to Download Files from the Local FTP Server","6833.htm");
Page[10]=new Array("The following table lists the directories and files copied to your local FTP server.","Directory","Contents","apt/ensim/EPL/&lt;epl_ver&gt;/&lt;epl_rel&gt;.&lt;os_type&gt;.&lt;os_version&gt;/tools","Parallels Pro Control Panel Installation script ensim-installer.py","apt/ensim/EPL/&lt;epl_ver&gt;/&lt;epl_rel&gt;.&lt;os_type&gt;.&lt;os_version&gt;/RPMS.lwp","RPMs required for installing Parallels Pro Control Panel","The variables used are as follows:","&lt;epl_rel&gt; - Represents the latest release number of the installer","&lt;epl_ver&gt; - Represents the latest version of Parallels Pro Control Panel","&lt;os_type&gt; - Refers to the type of operating system","&lt;os_version&gt; - Refers to the version of the specified operating system","Appendix A. List of Directories and Files Copied to Your FTP Server","6834.htm");
var PageCount=11;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>\n";
Result+="<title>Search Results</title>\n";
Result+='<script language="javascript" type="text/javascript" charset="ISO-8859-1" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="<style type='text/css'>\n";
Result+=".searchDetails {font-family:verdana; font-size:8pt; font-weight:bold}\n";
Result+=".searchResults {font-family:verdana; font-size:8pt}\n";
Result+="</style>\n";
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}